Subject: Re: bug#17545: 24.4.50; icomplete conflicts with minibuffer default

From: Stefan Monnier <[email-masked]>
Date: Sat, 31 May 2014 22:25:26 -0400

>> This is confusing because the minibuffer prompt suggests a completely
>> different default. Here's a function that fixes the behavior:
> I think a better fix is to change icomplete such that if the default is
> among the possible completions, then it appears first.

In the end I installed patch following the same idea as yours (but
folded into minibuffer-force-complete-and-exit).  Thank you.

        Stefan